<template>
  <div class="modulo">
    <div class="modulo_title">{{ modulo.codigo_modulo }}</div>
    <div class="modulo_container">
      <disciplina v-for="disciplina of disciplinas"
        v-if="disciplina.id_disciplina !== null"
        :key="disciplina.codigo_disciplina"
        :code="disciplina.codigo_disciplina"
        :creditos="`${disciplina.creditos_aula + disciplina.creditos_trabalho}`"
      />
    </div>
  </div>
</template>

<script>
import Disciplina from '@/components/Disciplina.vue';
import {mapGetters} from 'vuex';

export default {
  props: ["modulo"],

  components: {
    Disciplina
  },

  data() {
    return {
      disciplinas: []
    };
  },

  methods: {
    determineStatus(codigo) {
      const approvedSubjects = this.getApprovedSubjects;

      if(approvedSubjects.includes(codigo))
        return 'cursada';
      return 'nulo';
    }
  },

  computed: {
    ...mapGetters([
      'getApprovedSubjects'
    ])
  },

  async mounted() {
    this.disciplinas = await this.$axios.$post("/rpc/modulo_disciplina", {
      id_modulo: this.modulo.id_modulo
    });
  }
}
</script>

<style lang="scss">
.modulo {
  display: grid;
  grid-template-areas:
    "title title title title"
    "course course course course";

  margin: 1em 0.5em;
  border-radius: 0.5em 0.5em 0.5em 0.5em;
  box-shadow: 0.25em 0.25em rgba(0, 0, 0, 0.1);
}

.modulo_title {
  grid-area: title;

  padding: 0.3em 1em;
  border-radius: 0.5em 0.5em 0 0;

  font-size: 1.2rem;
  font-weight: bold;

  background: $primary-color;
  color: $light-color;
}

.modulo_container {
  grid-area: course;

  display: flex;
  flex-flow: row wrap;

  border-radius: 0 0 0.5em 0.5em;

  background: #f2f2f2;
}
</style>
